Bug 463498 - Perl stack doesn't recognize web.product_name
Perl stack doesn't recognize web.product_name
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Devan Goodwin
Jan Hutař
:
Depends On:
Blocks: 463876
  Show dependency treegraph
 
Reported: 2008-09-23 14:34 EDT by Justin Sherrill
Modified: 2009-09-10 14:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:53:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-09-23 14:34:59 EDT
After installing sat 5.3, browsing to a perl page results in this being printed in apache's error_log:

[Tue Sep 23 09:08:41 2008] [error] config web.product_name not in master config list in PXT::Config at /usr/lib/perl5/site_perl/5.8.8/PXT/Config.pm line 163.
Comment 1 Devan Goodwin 2009-01-15 14:49:22 EST
This appears to have been fixed somewhere along the way. No errors appear in /var/log/httpd/*error* when visiting .pxt pages. Could be in last ISO but will move ON_QA next ISO just to be sure.
Comment 2 Jan Hutař 2009-03-30 09:59:25 EDT
VERIFIED on Satellite-5.3.0-RHEL5-re20090323.0-x86_64:

# grep 'product_name' /var/log/httpd/*error*
<no output>
Comment 3 Pradeep Kilambi 2009-08-10 14:10:22 EDT
No error message in /var/log/httpd/error_log while access pxt pacges(ex: clone channel)

moving to release pending.
Comment 4 Brandon Perkins 2009-09-10 14:53:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.